XCLBINUTIL(1)

NAME
xclbinutil - manual page for xclbinutil XRT Build Version: 2.21.0

DESCRIPTION
This utility operates on a xclbin produced by v++.

  For example:

1) Reporting xclbin information
    : xclbinutil --info --input binary_container_1.xclbin

    2) Extracting the bitstream image: xclbinutil --dump-section BITSTREAM:RAW:bitstream.bit --input binary_container_1.xclbin 3) Extracting the build metadata : xclbinutil --dump-section BUILD_METADATA:HTML:buildMetadata.json --input binary_container_1.xclbin 4) Removing a section : xclbinutil --remove-section BITSTREAM --input binary_container_1.xclbin --output binary_container_modified.xclbin 5) Signing xclbin : xclbinutil --private-key key.priv --certificate cert.pem --input binary_container_1.xclbin --output signed.xclbin

Command Line Options Options:

--add-merge-section arg
    Section name to add or merge. Format: <section>:<format>:<file>

--add-pskernel arg
    Helper option to add PS kernels. Format: [<mem_banks>]:[<symbol_name>]:[<instances>]:<path_t o_shared_library>

--add-replace-section arg Section name to add or replace.
    Format: <section>:<format>:<file>

--add-section arg
    Section name to add. Format: <section>:<format>:<file>

--add-signature arg
    Adds a user defined signature to the given xclbin image.

--certificate arg
    Certificate used in signing and validating the xclbin image.

--digest-algorithm arg
    Digest algorithm. Default: sha512

--dump-section arg
    Section to dump. Format: <section>:<format>:<file>

--force
    Forces a file overwrite.

--get-signature
    Returns the user defined signature (if set) of the xclbin image.

-h [ --help ]
    Print help messages

--info [=arg(=<console>)] Report accelerator binary content.
    Including: generation and packaging data, kernel signatures, connectivity, clocks, sections, etc. Note: Optionally an output file can be specified. If none is specified, then the output will go to the console.

-i [ --input ] arg
    Input file name. Reads xclbin into memory.

--key-value arg
    Key value pairs. Format: [USER|SYS]:<key>:<value>

--list-sections
    List all possible section names (Stand Alone Option)

--migrate-forward
    Migrate the xclbin archive forward to the new binary format.

-o [ --output ] arg
    Output file name. Writes in memory xclbin image to a file.

--private-key arg
    Private key used in signing the xclbin image.

-q [ --quiet ]
    Minimize reporting information.

--remove-key arg
    Removes the given user key from the xclbin archive.

--remove-section arg
    Section name to remove.

--remove-signature
    Removes the signature from the xclbin image.

--replace-section arg
    Section to replace.

--target arg
    Target flow for this image. Valid values: hw, hw_emu, and sw_emu.

--validate-signature
    Validates the signature for the given xclbin archive.

-v [ --verbose ]
    Display verbose/debug information.

--version
    Version of this executable.

--file-check
    Check for Linux file command utility compliance

Addition Syntax Information --------------------------- Syntax: <section>:<format>:<file>

    <section> - The section to add or dump (e.g., BUILD_METADATA, BITSTREAM, etc.)

Note: If a JSON format is being used, this value can be empty.
    If so, then

the JSON metadata will determine the section it is associated with.
    In addition, only sections that are found in the JSON file will be reported.

<format>
    - The format to be used. Currently, there are three formats available:

    RAW: Binary Image; JSON: JSON file format; and HTML: Browser visible.

    Note: Only selected operations and sections supports these file types.

<file>
    - The name of the input/output file to use.

    Used By: --add_section and --dump_section Example: xclbinutil --add-section BITSTREAM:RAW:mybitstream.bit

    Build Version Branch:

    Build Version Hash:

    Build Version Hash Date:

    Build Version Date: Wed, 29 Oct 2025 15:29:42 -0500

SEE ALSO
The full documentation for xclbinutil is maintained as a Texinfo manual. If the info and xclbinutil programs are properly installed at your site, the command

    info xclbinutil

should give you access to the complete manual.